#include "aopp.hpp"
#include <cstdio>

AOPP::AOOptions::AOOptions() :
    options (NULL)
    {
    }

AOPP::AOOptions::~AOOptions() {
    if ( options ) {
        ao_free_options( options );
        }
    }


int AOPP::AOOptions::append( const char *key, const char *value ) {
    if ( key && value ) {
        return ao_append_option( &options, key, value );
        }
    return 0;
    }


void AOPP::AOOptions::print_options(void) {
    ao_option * opt = options;
    while ( opt ) {
        printf("%s\t\t%s\n", opt->key, opt->value);
        opt = opt->next;
        }
    }
